> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /debank/protocols/holders

> Get the top depositors of a DeFi protocol by its protocol id

**Price:** 1 credit

**💡 AI Hint:** Reverse lookup: get the largest depositors / users of a DeFi protocol by its DeBank protocol id (uniswap3, aave3, lido, etc.). Returns each holder wallet with the USD value it has deposited in the protocol, its share and cumulative share of the protocol's total value, the main tokens it deposited, and its DeBank profile (web3 id, display name, total portfolio USD value, follower count, VIP flag, avatar), ordered from largest down. Useful for finding the biggest LPs and depositors of a protocol.

**⚠️ Common errors:** 412: Protocol not found



## OpenAPI

````yaml /openapi-filtered.json post /api/debank/protocols/holders
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/debank/protocols/holders:
    post:
      tags:
        - /debank
      summary: /debank/protocols/holders
      description: >-
        Get the top depositors of a DeFi protocol by its protocol id


        **Price:** 1 credit


        **💡 AI Hint:** Reverse lookup: get the largest depositors / users of a
        DeFi protocol by its DeBank protocol id (uniswap3, aave3, lido, etc.).
        Returns each holder wallet with the USD value it has deposited in the
        protocol, its share and cumulative share of the protocol's total value,
        the main tokens it deposited, and its DeBank profile (web3 id, display
        name, total portfolio USD value, follower count, VIP flag, avatar),
        ordered from largest down. Useful for finding the biggest LPs and
        depositors of a protocol.


        **⚠️ Common errors:** 412: Protocol not found
      operationId: __api_debank_protocols_holders_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DebankProtocolHoldersPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DebankProtocolHolder'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DebankProtocolHoldersPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        id:
          type: string
          description: DeBank protocol id (e.g. uniswap3, aave3, lido)
        count:
          type: integer
          minimum: 1
          description: Max number of top holders to return
      type: object
      required:
        - id
        - count
    DebankProtocolHolder:
      properties:
        '@type':
          type: string
          default: DebankProtocolHolder
        id:
          type: string
        web3_id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        portfolio_usd_value:
          anyOf:
            - type: number
            - type: 'null'
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_vip:
          type: boolean
          default: false
        image:
          anyOf:
            - type: string
            - type: 'null'
        usd_value:
          anyOf:
            - type: number
            - type: 'null'
        share:
          anyOf:
            - type: number
            - type: 'null'
        cumulative_share:
          anyOf:
            - type: number
            - type: 'null'
        top_tokens:
          items:
            $ref: '#/components/schemas/DebankDepositToken'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DebankDepositToken:
      properties:
        '@type':
          type: string
          default: DebankDepositToken
        id:
          anyOf:
            - type: string
            - type: 'null'
        symbol:
          anyOf:
            - type: string
            - type: 'null'
        chain:
          anyOf:
            - type: string
            - type: 'null'
        amount:
          anyOf:
            - type: number
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        usd_value:
          anyOf:
            - type: number
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````